<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request;

class BelegPositionRequest
{
    /**
     * @var string $kundennummer
     */
    protected $kundennummer;

    /**
     * @var string $belegpositionsnummer
     */
    protected $belegpositionsnummer;

    /**
     * @var double $betrag
     */
    protected $betrag;

    /**
     * @var double $betrag_netto
     */
    protected $betrag_netto;

    /**
     * @var double $umsatzsteuersatz
     */
    protected $umsatzsteuersatz;

    /**
     * @var string $waehrung
     */
    protected $waehrung;

    /** @var ArtikelRequest[] $artikel */
    protected $artikel;

    /**
     * HeaderRequest constructor.
     * @param $positions
     */
    public function __construct(array $positions)
    {
        foreach ($positions as $position) {
            $this->setKundennummer($position['kundennummer']);
            $this->setBelegpositionsnummer($position['belegpositionsnummer']);
            $this->setBetrag($position['betrag']);
            $this->setBetragnetto($position['betrag_netto']);
            $this->setUmsatzsteuersatz($position['umsatzsteuersatz']);

            if (isset($position['waehrung'])) {
                $this->setWaehrung($position['waehrung']);
            }

            if (isset($position['artikel'])) {
                $this->setArtikel(new ArtikelRequest($position['artikel']));
            }
        }
    }

    /**
     * @return string
     */
    public function getKundennummer()
    {
        return $this->kundennummer;
    }

    /**
     * @param string $kundennummer
     */
    public function setKundennummer(string $kundennummer)
    {
        $this->kundennummer = $kundennummer;
    }

    /**
     * @return float
     */
    public function getBetrag()
    {
        return $this->betrag;
    }

    /**
     * @param float $betrag
     */
    public function setBetrag(float $betrag)
    {
        $this->betrag = $betrag;
    }

    /**
     * @return double
     */
    public function getBetragnetto()
    {
        return $this->betrag_netto;
    }

    /**
     * @param float $betrag_netto
     */
    public function setBetragnetto(float $betrag_netto)
    {
        $this->betrag_netto = $betrag_netto;
    }

    /**
     * @return string
     */
    public function getBelegpositionsnummer()
    {
        return $this->belegpositionsnummer;
    }

    /**
     * @param string $belegpositionsnummer
     */
    public function setBelegpositionsnummer(string $belegpositionsnummer)
    {
        $this->belegpositionsnummer = $belegpositionsnummer;
    }

    /**
     * @return float
     */
    public function getUmsatzsteuersatz()
    {
        return $this->umsatzsteuersatz;
    }

    /**
     * @param float $umsatzsteuersatz
     */
    public function setUmsatzsteuersatz(float $umsatzsteuersatz)
    {
        $this->umsatzsteuersatz = $umsatzsteuersatz;
    }

    /**
     * @param string $waehrung
     */
    public function setWaehrung(string $waehrung)
    {
        $this->waehrung = $waehrung;
    }

    /**
     * @return string
     */
    public function getWaehrung()
    {
        return $this->waehrung;
    }

    /**
     * @return ArtikelRequest[]
     */
    public function getArtikel(): array
    {
        return $this->artikel;
    }

    /**
     * @param ArtikelRequest $artikel
     */
    public function setArtikel(ArtikelRequest $artikel)
    {
        $this->artikel = $artikel;
    }

    function dumb($data){
        highlight_string("<?php\n " . var_export($data, true) . "?>");
        echo '<script>document.getElementsByTagName("code")[0].getElementsByTagName("span")[1].remove() ;document.getElementsByTagName("code")[0].getElementsByTagName("span")[document.getElementsByTagName("code")[0].getElementsByTagName("span").length - 1].remove() ; </script>';
        die();
    }
}