<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request;

class Change2Request
{
    /**
     * @var ReferenzenRequest $referenzen
     */
    protected $referenzen;

    /**
     * @var string $changetyp
     */
    protected $changetyp;

    /** @var DebitorRequest $debitor */
    protected $debitor;

    /**
     * @var HeaderRequest $header
     */
    protected $header;

    /** @var BelegeRequest $belege */
    protected $belege;

    public function __construct($params)
    {
        $this->setChangetyp($params['anfrageart']);
        $this->setHeader(new HeaderRequest($params['header']));
        if (isset($params['referenzen'])) {
            $this->setReferenzen(new ReferenzenRequest($params['referenzen']));
        }
        $this->setDebitor(new DebitorRequest($params['debitor']));
        if (isset($params['belege'])) {
            $this->setBelege(new BelegeRequest($params['belege']));
        }
    }

    /**
     * @return ReferenzenRequest
     */
    public function getReferenzen(): ReferenzenRequest
    {
        return $this->referenzen;
    }

    /**
     * @param ReferenzenRequest $referenzen
     */
    public function setReferenzen(ReferenzenRequest $referenzen): void
    {
        $this->referenzen = $referenzen;
    }

    /**
     * @return HeaderRequest
     */
    public function getHeader(): HeaderRequest
    {
        return $this->header;
    }

    /**
     * @param HeaderRequest $header
     */
    public function setHeader(HeaderRequest $header)
    {
        $this->header = $header;
    }

    /**
     * @return string
     */
    public function getChangetyp()
    {
        return $this->changetyp;
    }

    /**
     * @param string $changetyp
     */
    public function setChangetyp(string $changetyp)
    {
        $this->changetyp = $changetyp;
    }

    /**
     * @return DebitorRequest
     */
    public function getDebitor(): DebitorRequest
    {
        return $this->debitor;
    }

    /**
     * @param DebitorRequest $debitor
     */
    public function setDebitor(DebitorRequest $debitor)
    {
        $this->debitor = $debitor;
    }

    /**
     * @return BelegeRequest
     */
    public function getBelege(): BelegeRequest
    {
        return $this->belege;
    }

    /**
     * @param BelegeRequest $belege
     */
    public function setBelege(BelegeRequest $belege)
    {
        $this->belege = $belege;
    }
}