<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request;

class DebitorRequest
{
    /**
     * @var string $kundennummer
     */
    protected $kundennummer;

    /**
     * @var string $bezeichnung
     */
    protected $bezeichnung;

    /** @var PersonRequest $person */
    protected $person;

    /**
     * HeaderRequest constructor.
     * @param $config
     */
    public function __construct($config)
    {
        $this->setKundennummer($config['kundennummer']);
        $this->setBezeichnung($config['bezeichnung']);
        $this->setPerson(new PersonRequest($config['person']));
    }

    /**
     * @return string
     */
    public function getKundennummer()
    {
        return $this->kundennummer;
    }

    /**
     * @param string $kundennummer
     */
    public function setKundennummer(string $kundennummer)
    {
        $this->kundennummer = $kundennummer;
    }

    /**
     * @return string
     */
    public function getBezeichnung()
    {
        return $this->bezeichnung;
    }

    /**
     * @param string $bezeichnung
     */
    public function setBezeichnung(string $bezeichnung)
    {
        $this->bezeichnung = $bezeichnung;
    }

    /**
     * @return PersonRequest
     */
    public function getPerson(): PersonRequest
    {
        return $this->person;
    }

    /**
     * @param PersonRequest $person
     */
    public function setPerson(PersonRequest $person)
    {
        $this->person = $person;
    }
}