<?php declare(strict_types=1);

namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request\Order;

use Mille\PlatformConsorsFinanzRK\Struct\PaymentTransaction;

class OrderRequest
{
    public function getRequestParameters(PaymentTransaction $transaction, string $type = 'boni2'): array
    {
        $bestellwert = $transaction->getOrderTransaction()->getAmount()->getTotalPrice();

        $params = [
            'bestellwert' => $bestellwert * 100,
        ];

        if ('order2' == $type) {
            $params = array_merge(
                $params,
                [
                    'referenzen' => [
                        'referenztyp' => 'bestellnummer',
                        'referenzwert' => $transaction->getOrder()->getOrderNumber(),
                    ],
                ]
            );
        }

        return $params;
    }
}
