<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request;

class OrderStornoRequest
{
    /**
     * @var string $anfrageart
     */
    protected $anfrageart;

    /**
     * @var ReferenzenRequest $referenz
     */
    protected $referenz;

    /**
     * @var double $bestellwert
     */
    protected $bestellwert;

    /**
     * @var HeaderRequest $header
     */
    protected $header;

    public function __construct($params)
    {
        $this->setAnfrageart($params['anfrageart']);
        $this->setBestellwert($params['bestellwert']);
        $this->setHeader(new HeaderRequest($params['header']));
        $this->setReferenz(new ReferenzenRequest($params['referenzen']));
    }

    /**
     * @return string
     */
    public function getAnfrageart()
    {
        return $this->anfrageart;
    }

    /**
     * @param string $anfrageart
     */
    public function setAnfrageart(string $anfrageart)
    {
        $this->anfrageart = $anfrageart;
    }

    /**
     * @return double
     */
    public function getBestellwert()
    {
        return $this->bestellwert;
    }

    /**
     * @param double $bestellwert
     */
    public function setBestellwert($bestellwert)
    {
        $this->bestellwert = $bestellwert;
    }

    /**
     * @return ReferenzenRequest
     */
    public function getReferenz(): ReferenzenRequest
    {
        return $this->referenz;
    }

    /**
     * @param ReferenzenRequest $referenz
     */
    public function setReferenz(ReferenzenRequest $referenz): void
    {
        $this->referenz = $referenz;
    }

    /**
     * @return HeaderRequest
     */
    public function getHeader(): HeaderRequest
    {
        return $this->header;
    }

    /**
     * @param HeaderRequest $header
     */
    public function setHeader(HeaderRequest $header)
    {
        $this->header = $header;
    }
}