<?php declare(strict_types=1);

namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Request\System;

use Mille\PlatformConsorsFinanzRK\Components\ConfigReader\ConfigReaderInterface;
use Mille\PlatformConsorsFinanzRK\Struct\Configuration;

class SystemRequest
{
    /** @var ConfigReaderInterface */
    private $configReader;

    /** @var Configuration */
    private $configuration;

    const ACCOUNT_TYPE = 'ESHOPKONTONUM';

    public function __construct(ConfigReaderInterface $configReader) {
        $this->configReader = $configReader;
    }

    public function getRequestParameters(string $salesChannel, string $anfrageart): array
    {
        $this->configuration = $this->configReader->read($salesChannel);

        return [
            'header' => [
                'kennziffer' => $this->configuration->get('codeNumber'),
                'passwort' => $this->configuration->get('password'),
                'system' => $this->configuration->get('transactionMode'),
            ],
            'anfrageart' => $anfrageart,
            'terminalclientaddress' => $_SERVER["REMOTE_ADDR"],
            'kontotyp' => self::ACCOUNT_TYPE,
        ];
    }
}
