<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Services;

use Mille\PlatformConsorsFinanzRK\Components\Consors\Api\ConsorsSoapClientFault;
use Mille\PlatformConsorsFinanzRK\Components\Consors\Response\Change2Response;
use Shopware\Core\Checkout\Order\OrderEntity;

class ChangeManagementSystemService extends AbstractService
{
    /**
     * @param OrderEntity    $orderEntity
     * @param                $changetyp
     * @param false          $isGutschrift
     * @return Change2Response
     * @throws ConsorsSoapClientFault
     */
    public function change(OrderEntity $orderEntity, $changetyp, $isGutschrift = false)
    {
        $request = $this->requestFactory->getChangeManagementRequestParameters($orderEntity, $changetyp, $isGutschrift);

//        $this->dumb($request);

        /** @var Change2Response $response */
        $response = $this->client->changeOrder($request);
        return $response;
    }
}