<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Services;

use Mille\PlatformConsorsFinanzRK\Components\Consors\Api\ConsorsSoapClientFault;
use Mille\PlatformConsorsFinanzRK\Components\Consors\Response\Change2Response;
use Shopware\Core\Checkout\Document\DocumentEntity;

class ChangeService extends AbstractService
{
    /**
     * @param DocumentEntity $document
     * @param                $changetyp
     * @param false          $isGutschrift
     * @return Change2Response
     * @throws ConsorsSoapClientFault
     */
    public function change(DocumentEntity $document, $changetyp, $isGutschrift = false)
    {
        $request = $this->requestFactory->getChangeRequestParameters($document, $changetyp, $isGutschrift);

//        $this->dumb($request);

        /** @var Change2Response $response */
        $response = $this->client->changeOrder($request);
        return $response;
    }
}