<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\Components\Consors\Services;

use Mille\PlatformConsorsFinanzRK\Components\Consors\Api\ConsorsSoapClientFault;
use Mille\PlatformConsorsFinanzRK\Components\Consors\Response\OrderStornoResponse;
use Shopware\Core\Checkout\Order\OrderEntity;

class OrderStornoService extends AbstractService
{
    /**
     * @param OrderEntity $order
     * @param             $anfrageart
     * @param string      $referenzwert
     * @return OrderStornoResponse
     * @throws ConsorsSoapClientFault
     */
    public function cancel(OrderEntity $order, $anfrageart, $referenzwert = '')
    {
        $request = $this->requestFactory->getStornoRequestParameters($order, $anfrageart, $referenzwert);

//        $this->dumb($request);
        /** @var OrderStornoResponse $response */
        $response = $this->client->cancelOrder($request);
        return $response;
    }
}