<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Factory;

use Mille\PlatformConsorsFinanzRK\Components\ConfigReader\ConfigReaderInterface;
use Mille\PlatformConsorsFinanzRK\Components\Consors\Services\DataModel;
use Mille\PlatformConsorsFinanzRK\Components\Logger\LoggerService;
use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;

class ModelFactory implements ModelFactoryInterface
{
    /**
     * @var LoggerService
     */
    private $loggerService;
    /**
     * @var ConfigReaderInterface
     */
    private $configReader;
    /**
     * @var EntityRepositoryInterface
     */
    private $paymentMethodRepository;

    /**
     * ModelFactory constructor.
     * @param ConfigReaderInterface     $configReader
     * @param EntityRepositoryInterface $paymentMethodRepository
     * @param LoggerService             $loggerService
     */
    public function __construct(
        ConfigReaderInterface $configReader,
        EntityRepositoryInterface $paymentMethodRepository,
        LoggerService $loggerService
    ) {
        $this->configReader = $configReader;
        $this->loggerService = $loggerService;
        $this->paymentMethodRepository = $paymentMethodRepository;
    }

    /**
     * {@inheritdoc}
     */
    public function get(string $salesChannelId = '')
    {
        return new DataModel(
            $salesChannelId,
            $this->configReader,
            $this->paymentMethodRepository,
            $this->loggerService
        );
    }
}

