<?php
namespace Mille\PlatformConsorsFinanzRK\Components\Logger;

use Monolog\Logger;

class LoggerService implements LoggerServiceInterface
{
    /**
     * @var Logger
     */
    private $logger;

    /**
     * LoggerService constructor.
     * @param Logger $baseLogger
     */
    public function __construct(Logger $baseLogger)
    {
        $this->logger = $baseLogger;
    }

    /**
     * {@inheritdoc}
     */
    public function warning($message, array $context = [])
    {
        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->warning($finalMessage, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function notify($message, array $context = [])
    {
        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->notice($finalMessage, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function error($message, array $context = [])
    {
        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->addError($finalMessage, $context);
    }
}
