<?php
namespace Mille\PlatformConsorsFinanzRK\EventListener;

use Mille\PlatformConsorsFinanzRK\Components\Consors\Services\CronService;
use Mille\PlatformConsorsFinanzRK\Components\Factory\ModelFactoryInterface;
use Shopware\Core\Framework\Api\Context\SystemSource;
use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\DataAbstractionLayer\EntityRepositoryInterface;
use Shopware\Core\Framework\DataAbstractionLayer\Search\Criteria;
use Shopware\Core\System\SalesChannel\SalesChannelEntity;
use Shopware\Storefront\Page\Checkout\Confirm\CheckoutConfirmPageLoadedEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class Test implements EventSubscriberInterface
{
    /**
     * @var EntityRepositoryInterface
     */
    private $salesChannelRepository;
    /**
     * @var ModelFactoryInterface
     */
    private $modelFactory;
    /**
     * @var CronService
     */
    private $cronService;

    /**
     * Test constructor.
     * @param EntityRepositoryInterface $salesChannelRepository
     * @param ModelFactoryInterface     $modelFactory
     * @param CronService               $cronService
     */
    public function __construct(
        EntityRepositoryInterface $salesChannelRepository,
        ModelFactoryInterface $modelFactory,
        CronService $cronService
    ) {
        $this->salesChannelRepository = $salesChannelRepository;
        $this->modelFactory = $modelFactory;
        $this->cronService = $cronService;
    }

    public static function getSubscribedEvents(): array
    {
        return [
//            CheckoutConfirmPageLoadedEvent::class  => 'manageOrders'
        ];
    }

    public function manageOrders()
    {
        $criteria = new Criteria();
        $criteria->addAssociation('salesChannel');
        $context = new Context(new SystemSource());

        $salesChannels = $this->salesChannelRepository->search($criteria, $context);

        /** @var SalesChannelEntity $salesChannel */
        foreach ($salesChannels as $salesChannel) {
            if (false === (bool)$salesChannel->getActive()) {
                continue;
            }

            $model = $this->modelFactory->get($salesChannel->getId());
            if (!$model->isActive()) {
                continue;
            }

            $settings = $model->getSettings();

            if ('no' == $settings['managementSystem']) {
                $counter = $this->cronService->handleShopwareSystem($model, $salesChannel->getId());
            } else {
                $counter = $this->cronService->handleManagementSystem($model, $salesChannel->getId());
            }

            die('test '.$counter);
        }
    }

    function dumb($data){
        highlight_string("<?php\n " . var_export($data, true) . "?>");
        echo '<script>document.getElementsByTagName("code")[0].getElementsByTagName("span")[1].remove() ;document.getElementsByTagName("code")[0].getElementsByTagName("span")[document.getElementsByTagName("code")[0].getElementsByTagName("span").length - 1].remove() ; </script>';
        die();
    }
}