<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK;

use Mille\PlatformConsorsFinanzRK\Bootstrap\CustomFieldInstaller;
use Shopware\Core\Framework\Plugin\Context\ActivateContext;
use Shopware\Core\Framework\Plugin\Context\DeactivateContext;
use Shopware\Core\Framework\Plugin\Context\UninstallContext;
use Shopware\Core\Framework\Plugin;
use Shopware\Core\Framework\Plugin\Context\InstallContext;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader\XmlFileLoader;
use Symfony\Component\Config\FileLocator;
use Shopware\Core\Framework\Plugin\Context\UpdateContext;
use Mille\PlatformConsorsFinanzRK\Bootstrap\PaymentMethodInstaller;

class MillePlatformConsorsFinanzRK extends Plugin
{
    public function build(ContainerBuilder $container): void
    {
        $loader = new XmlFileLoader($container, new FileLocator(__DIR__ . '/DependencyInjection'));
        $loader->load('services.xml');

        parent::build($container);
    }

    public function install(InstallContext $context): void
    {
        (new CustomFieldInstaller($this->container))->install($context);
        (new PaymentMethodInstaller($this->container))->install($context);
    }

    public function update(UpdateContext $context): void
    {
        (new PaymentMethodInstaller($this->container))->update($context);
    }

    public function activate(ActivateContext $context): void
    {
        (new CustomFieldInstaller($this->container))->activate($context);
        (new PaymentMethodInstaller($this->container))->activate($context);
    }

    public function deactivate(DeactivateContext $context): void
    {
        (new CustomFieldInstaller($this->container))->deactivate($context);
        (new PaymentMethodInstaller($this->container))->deactivate($context);
    }

    public function uninstall(UninstallContext $context): void
    {
        if ($context->keepUserData()) {
            return;
        }

        (new CustomFieldInstaller($this->container))->uninstall($context);
        (new PaymentMethodInstaller($this->container))->uninstall($context);
    }
}
