<?php
declare(strict_types=1);

namespace Mille\PlatformConsorsFinanzRK\PaymentHandler\Constraint;

use Mille\PlatformConsorsFinanzRK\PaymentHandler\AbstractPaymentHandler;
use Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Validator\Constraints\NotBlankValidator;

abstract class AbstractNotBlank extends NotBlank
{
    abstract protected static function getErrorCode(): string;

    public function __construct($options = null)
    {
        $options['message'] = AbstractPaymentHandler::ERROR_SNIPPET_VIOLATION_PREFIX . static::getErrorCode();
        parent::__construct($options);
    }

    public static function getErrorName($errorCode): string
    {
        if ($errorCode === static::IS_BLANK_ERROR) {
            return static::getErrorCode();
        }

        return parent::getErrorName($errorCode);
    }

    public function validatedBy(): string
    {
        return NotBlankValidator::class;
    }
}
