<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\PaymentHandler\Constraint;

use Mille\PlatformConsorsFinanzRK\PaymentHandler\AbstractPaymentHandler;
use Symfony\Component\Validator\Constraints\IbanValidator;

class Iban extends \Symfony\Component\Validator\Constraints\Iban
{
    protected static $errorNames = [
        self::INVALID_COUNTRY_CODE_ERROR => 'CF_INVALID_COUNTRY_CODE_ERROR',
        self::INVALID_CHARACTERS_ERROR => 'CF_INVALID_CHARACTERS_ERROR',
        self::CHECKSUM_FAILED_ERROR => 'CF_CHECKSUM_FAILED_ERROR',
        self::INVALID_FORMAT_ERROR => 'CF_INVALID_FORMAT_ERROR',
        self::NOT_SUPPORTED_COUNTRY_CODE_ERROR => 'CF_NOT_SUPPORTED_COUNTRY_CODE_ERROR',
    ];

    public $message = AbstractPaymentHandler::ERROR_SNIPPET_VIOLATION_PREFIX . 'CF_MISSING_IBAN';

    public function validatedBy(): string
    {
        return IbanValidator::class;
    }
}
