<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\PaymentHandler\Constraint;

use Symfony\Component\Validator\Constraints\LessThanOrEqual;

class IsOfLegalAge extends LessThanOrEqual
{
    public const LEGAL_AGE = 18;

    public const TOO_YOUNG_ERROR_NAME = 'CF_AGE_TO_YOUNG';

    protected static $errorNames = [
        self::TOO_HIGH_ERROR => self::TOO_YOUNG_ERROR_NAME,
    ];

    public function __construct($options = null)
    {
        $options = $options ?? [];
        $options['value'] = sprintf('-%d years', self::LEGAL_AGE);
        parent::__construct($options);
    }

    public function validatedBy(): string
    {
        return IsOfLegalAgeValidator::class;
    }
}
