<?php
namespace Mille\PlatformConsorsFinanzRK\PaymentHandler;

use Mille\PlatformConsorsFinanzRK\PaymentHandler\Constraint\Iban;
use Mille\PlatformConsorsFinanzRK\PaymentHandler\Constraint\IbanNotBlank;
use Shopware\Core\Framework\Validation\DataValidationDefinition;
use Shopware\Core\System\SalesChannel\SalesChannelContext;
use Symfony\Component\HttpFoundation\Request;

trait DebitValidationTrait
{
    public function getDebitConstraints(Request $request, SalesChannelContext $salesChannelContext): array
    {
        $bankData = new DataValidationDefinition();
        $bankData->add('iban',
            new IbanNotBlank(),
            new Iban()
        );

//        $bankData->add('bic',
//            new IbanNotBlank(),
//            new Iban()
//        );

        return [
            'bankData' => $bankData,
        ];
    }
}
