<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\PaymentHandler\Event;

use Ratepay\RpayPayments\Components\RatepayApi\Dto\PaymentRequestData;
use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\Event\ShopwareEvent;
use Symfony\Contracts\EventDispatcher\Event;

class BeforePaymentEvent extends Event implements ShopwareEvent
{
    /**
     * @var PaymentRequestData
     */
    private $paymentRequestData;

    /**
     * @var Context
     */
    private $context;

    public function __construct(PaymentRequestData $paymentRequestData, Context $context)
    {
        $this->paymentRequestData = $paymentRequestData;
        $this->context = $context;
    }

    public function getContext(): Context
    {
        return $this->context;
    }

    public function getPaymentRequestData(): PaymentRequestData
    {
        return $this->paymentRequestData;
    }
}
