<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\PaymentMethod;

use Mille\PlatformConsorsFinanzRK\PaymentHandler\ConsorsFinanzDebitPaymentHandler;

class ConsorsFinanzDebit extends AbstractPaymentMethod
{
    public const UUID = '700954775fad4a8f92463b3d629c8ad5';

    public const NAME = 'Kauf per Lastschrift by Consors Finanz';

    /** @var string */
    protected $id = self::UUID;

    /** @var string */
    protected $name = 'Kauf per Lastschrift by Consors Finanz';

    /** @var string */
    protected $description = 'Bei Auswahl der Zahlungsart „Kauf per Lastschrift“ zieht die Consors Finanz den Kaufpreis erst 30 Tage nach Erhalt der Ware ein.';

    /** @var string */
    protected $paymentHandler = ConsorsFinanzDebitPaymentHandler::class;

    /** @var null|string */
    protected $template = '@Storefront/storefront/consors_finanz_rk/payment/consors_finanz_debit.html.twig';

    /** @var array */
    protected $translations = [
        'de-DE' => [
            'name'        => 'Kauf per Lastschrift by Consors Finanz',
            'description' => 'Bei Auswahl der Zahlungsart „Kauf per Lastschrift“ zieht die Consors Finanz den Kaufpreis erst 30 Tage nach Erhalt der Ware ein.',
        ],
        'en-GB' => [
            'name'        => 'Consors Finanz Direct Debit',
            'description' => 'If the payment method "purchase by direct debit" is selected, Consors Finanz will only collect the purchase price 30 days after receipt of the goods.',
        ],
    ];

    /** @var int */
    protected $position = 131;
}
