<?php declare(strict_types=1);
namespace Mille\PlatformConsorsFinanzRK\PaymentMethod;

use Mille\PlatformConsorsFinanzRK\PaymentHandler\ConsorsFinanzInvoicePaymentHandler;

class ConsorsFinanzInvoice extends AbstractPaymentMethod
{
    public const UUID = '0407fd0a5c4b4d2bafc88379efe8cf8d';

    public const NAME = 'Kauf auf Rechnung by Consors Finanz';

    /** @var string */
    protected $id = self::UUID;

    /** @var string */
    protected $name = 'Kauf auf Rechnung by Consors Finanz';

    /** @var string */
    protected $description = 'Bei Auswahl der Zahlungsart „Kauf auf Rechnung“ überweisen Sie den Kaufpreis erst 30 Tage nach Erhalt der Ware.';

    /** @var string */
    protected $paymentHandler = ConsorsFinanzInvoicePaymentHandler::class;

    /** @var null|string */
    protected $template = '@Storefront/storefront/consors_finanz_rk/payment/consors_finanz_invoice.html.twig';

    /** @var array */
    protected $translations = [
        'de-DE' => [
            'name'        => 'Kauf auf Rechnung by Consors Finanz',
            'description' => 'Bei Auswahl der Zahlungsart „Kauf auf Rechnung“ überweisen Sie den Kaufpreis erst 30 Tage nach Erhalt der Ware.',
        ],
        'en-GB' => [
            'name'        => 'Consors Finanz Invoice',
            'description' => 'If you choose the payment method "purchase on account", you transfer the purchase price 30 days after receiving the goods.',
        ],
    ];

    /** @var int */
    protected $position = 130;
}
