<?php declare(strict_types=1);

namespace Mille\PlatformConsorsFinanzRK\Struct;

use Shopware\Core\Checkout\Order\Aggregate\OrderTransaction\OrderTransactionEntity;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Checkout\Payment\Cart\SyncPaymentTransactionStruct;
use Shopware\Core\Framework\Struct\Struct;

class PaymentTransaction extends Struct
{
    /** @var OrderTransactionEntity */
    protected $orderTransaction;

    /** @var OrderEntity */
    protected $order;

    /** @var array */
    protected $customFields;

    public function getOrder(): OrderEntity
    {
        return $this->order;
    }

    public function getOrderTransaction(): OrderTransactionEntity
    {
        return $this->orderTransaction;
    }

    public static function fromSyncPaymentTransactionStruct(SyncPaymentTransactionStruct $struct, OrderEntity $orderEntity): self
    {
        $transactionStruct                   = new self();
        $transactionStruct->order            = $orderEntity;
        $transactionStruct->customFields     = $struct->getOrderTransaction()->getCustomFields() ?? [];
        $transactionStruct->orderTransaction = $struct->getOrderTransaction();

        return $transactionStruct;
    }
}
