<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('en-GB', array (
  'storefront' => 
  array (
    'general.homeLink' => 'Home',
    'general.menuLink' => 'Menu',
    'general.star' => '*',
    'general.grossTaxInformation' => 'Prices incl. VAT plus shipping costs',
    'general.netTaxInformation' => 'Prices excl. VAT plus shipping costs',
    'general.deliveryShippingFree' => 'Free shipping',
    'general.deliveryNotAvailable' => 'These options are currently not available.',
    'general.deliveryShipping' => 'This product will be released on',
    'general.deliveryPartialStock' => 'Only %inStock% of %quantity% in stock',
    'general.deliveryPartialStockAddon' => '- Estimated delivery time (product out of stock): %shippingTime% workdays',
    'general.deliveryInStock' => 'Ready to ship, estimated delivery time: 1-3 workdays',
    'general.deliveryShippingTime' => 'Estimated delivery time: %shippingTime% workdays',
    'general.deliveryShippingDelay' => 'Estimated delivery time: 5 workdays',
    'general.offcanvasCloseMenu' => 'Close menu',
    'general.noscriptNotice' => 'To be able to use the full range of Shopware 6, we recommend activating Javascript in your browser.',
    'general.toCategory' => 'Show all',
    'general.readMore' => 'Read more',
    'general.mainMenu' => 'Show all categories',
    'general.closeMenu' => 'Close menu',
    'general.back' => 'Back',
    'general.categories' => 'Categories',
    'general.showCategory' => 'Show %category%',
    'general.required' => '*',
    'general.requiredFields' => 'Fields marked with asterisks (*) are required.',
    'general.privacyTitle' => 'Privacy',
    'general.privacyNotice' => 'I have read the <a data-toggle="modal" data-url="%url%" href="%url%" title="Data protection information">data protection information</a>.',
    'general.privacyLink' => 'Privacy policy',
    'general.imprintLink' => 'Imprint',
    'general.404ErrorPageHeader' => 'Page not found',
    'general.404ErrorDescription' => 'We are sorry, the page you\'re looking for could not be found. It may no longer exist or may have been moved.',
    'general.404ErrorReturn' => 'Back to homepage',
    'general.maintenanceModeHeader' => 'Maintenance mode',
    'general.maintenanceModeDescription' => 'We are currently updating this site. Please check back later.',
    'general.sortingLabel' => 'Sorting',
    'general.next' => 'Next',
    'general.previous' => 'Previous',
    'general.formSubmit' => 'Submit',
    'header.logoLink' => 'Go to homepage',
    'header.searchButton' => 'Search',
    'header.searchPlaceholder' => 'Search all categories...',
    'header.searchAllResults' => 'Show all search results',
    'header.searchResults' => '{1} 1 Result|]1,Inf[ %count% Results',
    'header.supportInfo' => '<strong>Questions regarding your order?</strong><br /><strong><a href="tel:+4912345-123456789">12345-123456789</a></strong> <small>Daily from 7:30 am to 10:00 pm</small>',
    'header.indexLinkService' => 'Service/help',
    'header.searchNoResult' => 'No results found.',
    'error.VIOLATION::IS_BLANK_ERROR' => '%field% should not be empty.',
    'error.VIOLATION::TOO_LOW_ERROR' => '%field% should not be empty.',
    'error.VIOLATION::STRICT_CHECK_FAILED_ERROR' => '%field% is invalid',
    'error.VIOLATION::CUSTOMER_EMAIL_NOT_UNIQUE' => 'This email address has already been registered.',
    'error.VIOLATION::CUSTOMER_PASSWORD_NOT_CORRECT' => 'Password incorrect.',
    'error.message-default' => 'Unfortunately, something went wrong.',
    'error.message-404' => 'The requested page cannot be found.',
    'error.addToCartError' => 'An error occurred while trying to add items to the shopping cart.',
    'error.FRAMEWORK__INVALID_UUID' => 'The selected payment method does not exist.',
    'error.CHECKOUT__UNKNOWN_PAYMENT_METHOD' => 'The selected payment method does not exist.',
    'error.productNotFound' => 'Product "%number%" not found.',
    'error.payment-method-blocked' => 'Payment via %name% not available.',
    'error.shipping-method-blocked' => '%name% shipping is not available.',
    'error.shipping-address-blocked' => 'Shipping to the selected address is not possible.',
    'error.shipping-address-invalid' => 'The selected shipping address is not valid or incomplete. Please check your entries.',
    'error.billing-address-blocked' => 'Billing to the selected address is not possible.',
    'error.billing-address-invalid' => 'The selected billing address is not valid or incomplete. Please check your entries.',
    'error.VIOLATION::TOO_SHORT_ERROR' => '%field% is too short.',
    'error.product-not-found' => 'The product could not be found.',
    'error.message-403-ajax' => 'Your session has expired. Please reload the page and try again.',
    'error.message-403' => 'Your session has expired. Please return to the last page and try again.',
    'error.product-out-of-stock' => '%name% is not available at the moment.',
    'error.auto-promotion-not-found' => 'Promotion "%name%" was no longer valid!',
    'account.externalPaymentCanceled' => 'We received your order, but the payment was aborted. Please change your payment method or try again',
    'account.externalPaymentFailure' => 'We received your order, but we were not able to process your payment, please change the payment method or try again',
    'account.confirmationIsAlreadyDone' => 'Either the email address has already been confirmed or the URL is invalid.',
    'account.doubleOptInMailConfirmationSuccessfully' => 'Thank you for confirming your email address! You can now complete your order.',
    'account.doubleOptInRegistrationSuccessfully' => 'Thank you for signing up! Your account has been successfully unlocked.',
    'account.myAccount' => 'My account',
    'account.registerTitle' => 'Sign up',
    'account.loginHeader' => 'I\'m a customer already',
    'account.loginFormDescription' => 'Log in with email address and password',
    'account.loginMailLabel' => 'Your email address',
    'account.loginMailPlaceholder' => 'Email address',
    'account.loginPasswordLabel' => 'Your password',
    'account.loginPasswordPlaceholder' => 'Password',
    'account.loginPasswordRecover' => 'I have forgotten my password.',
    'account.loginSubmit' => 'Login',
    'account.loginBadCredentials' => 'Could not find an account that matches the given credentials.',
    'account.registerAdvantagesHeader' => 'Login advantages:',
    'account.registerAdvantage1' => 'Express shopping',
    'account.registerAdvantage2' => 'Save your data and settings',
    'account.registerAdvantage3' => 'Order overview and shipping information',
    'account.registerAdvantage4' => 'Manage your newsletter subscription',
    'account.registerPersonalHeader' => 'I\'m a new customer',
    'account.registerAddressBillingHeader' => 'Your address',
    'account.registerAddressShippingHeader' => 'Alternative shipping address',
    'account.personalTypeLabel' => 'I am',
    'account.personalTypePrivate' => 'Private',
    'account.personalTypeBusiness' => 'Commercial',
    'account.personalSalutationLabel' => 'Salutation',
    'account.personalSalutationPlaceholder' => 'Enter salutation...',
    'account.personalTitleLabel' => 'Title',
    'account.personalTitlePlaceholder' => 'Enter title...',
    'account.personalFirstNameLabel' => 'First name',
    'account.personalFirstNamePlaceholder' => 'Enter first name...',
    'account.personalLastNameLabel' => 'Last name',
    'account.personalLastNamePlaceholder' => 'Enter last name...',
    'account.personalMailLabel' => 'New email address',
    'account.personalMailPlaceholder' => 'Enter new email address...',
    'account.personalMailConfirmationLabel' => 'Email confirmation',
    'account.personalMailConfirmationPlaceholder' => 'Please enter your email address once again...',
    'account.personalMailConfirmationInvalidMessage' => 'Email addresses do not match.',
    'account.personalPasswordLabel' => 'Password',
    'account.personalPasswordPlaceholder' => 'Enter password...',
    'account.personalPasswordConfirmationLabel' => 'Password confirmation',
    'account.personalPasswordConfirmationPlaceholder' => 'Please enter your password once again...',
    'account.personalPasswordConfirmationInvalidMessage' => 'The passwords you have entered do not match.',
    'account.personalPasswordDescription' => 'Passwords must have a minimum length of %minLength% characters.',
    'account.personalBirthdayLabel' => 'Date of birth',
    'account.personalBirthdaySelectDay' => 'Day',
    'account.personalBirthdaySelectMonth' => 'Month',
    'account.personalBirthdaySelectYear' => 'Year',
    'account.personalPhoneLabel' => 'Phone',
    'account.personalPhonePlaceholder' => 'Enter phone number...',
    'account.registerDifferentShipping' => 'Shipping and billing address do not match.',
    'account.registerSubmit' => 'Continue',
    'account.overviewTitle' => 'Overview',
    'account.greetings' => 'Hello, ',
    'account.overviewLink' => 'Overview',
    'account.profileLink' => 'Your profile',
    'account.addressLink' => 'Addresses',
    'account.paymentSuccess' => 'Payment method has been changed.',
    'account.paymentLink' => 'Payment methods',
    'account.ordersLink' => 'Orders',
    'account.profileTitle' => 'Your profile',
    'account.profileText' => 'Check your personal data.',
    'account.addressTitle' => 'Addresses',
    'account.paymentTitle' => 'Payment methods',
    'account.paymentText' => 'View all available payment methods and select a default payment method.',
    'account.ordersTitle' => 'Orders',
    'account.logout' => 'Logout',
    'account.guestAbort' => 'Close guest session',
    'account.logoutSucceeded' => 'Successfully logged off.',
    'account.overviewInfo' => 'Directly access your profile information, the default payment method and given addresses.',
    'account.overviewProfileHeader' => 'Personal data',
    'account.overviewPaymentHeader' => 'Default payment method',
    'account.overviewBillingHeader' => 'Default billing address',
    'account.overviewShippingHeader' => 'Default shipping address',
    'account.overviewAddressEqual' => 'Equal to billing address',
    'account.overviewChangePayment' => 'Change payment method',
    'account.overviewChangeProfile' => 'Edit profile',
    'account.overviewChangeBilling' => 'Change billing address',
    'account.overviewChangeShipping' => 'Change shipping address',
    'account.overviewNewestOrderHeader' => 'Last order',
    'account.overviewCustomerGroupRequest' => 'Access to customer group "%group%" requested.',
    'account.paymentChangeSubmit' => 'Change',
    'account.profilePersonalTitle' => 'Personal data',
    'account.profileMailTitle' => 'Email address',
    'account.profileCurrentMail' => 'Email address:',
    'account.profilePasswordTitle' => 'Password',
    'account.profileUpdateSuccess' => 'Profile has been updated.',
    'account.profileChangeEmail' => 'Change email address',
    'account.profileChangePassword' => 'Change password',
    'account.profileConfirmPassword' => 'Please enter your current password again to confirm changes.',
    'account.profileCredentialsTitle' => 'Login data',
    'account.orRegister' => 'or',
    'account.orRegisterLink' => 'sign up',
    'account.emailChangeSuccess' => 'Your email address has been updated.',
    'account.emailChangeNoSuccess' => 'Email address could not be changed.',
    'account.passwordChangeSuccess' => 'Your password has been updated.',
    'account.passwordChangeNoSuccess' => 'Password could not be changed.',
    'account.passwordHashNotFound' => 'The password reset link seems to be invalid.',
    'account.passwordHashExpired' => 'The password reset link is no longer valid. Please request a new one.',
    'account.recoveryMailSend' => ' If the provided email address is registered, a confirmation email including a password reset link has been sent.',
    'account.profilePasswordCreateNew' => 'New password',
    'account.profilePasswordCurrent' => 'Current password',
    'account.profileRecoverPasswordTitle' => 'Password recovery',
    'account.profileRecoverPasswordInfo' => 'We will send you a confirmation email. Click the link in that email in order to change your password.',
    'account.profileRecoverPasswordSubmit' => 'Send email',
    'account.profileSaveChanges' => 'Save changes',
    'account.profileDelete' => '<a href="%target%" data-toggle="modal" data-target="%target%">Click here</a> to delete all your personal data',
    'account.profileDeleteAlert' => 'After deleting your customer account personal data, newsletter entries and reviews won\'t be accessible to you anymore. Note that records of all orders will be kept nonetheless in order to fulfill legal regulations.',
    'account.profileDeleteConfirm' => 'Do you really want to delete your customer account?',
    'account.profileDeleteModalTitle' => 'Customer account',
    'account.profileDeleteButton' => 'Delete account',
    'account.profileDeleteSuccessAlert' => 'Your customer account was deleted.',
    'account.addressWelcome' => 'Addresses',
    'account.addressText' => 'View your current default addresses or add new ones.',
    'account.addressListHeader' => 'All addresses',
    'account.addressesTitleDefaultShippingAddress' => 'Default shipping address',
    'account.addressesTitleDefaultBillingAddress' => 'Default billing address',
    'account.addressesSetAsDefaultShippingAction' => 'Set as default shipping address',
    'account.addressesSetAsDefaultBillingAction' => 'Set as default billing address',
    'account.addressesTitleCurrentShippingAddress' => 'Currently shipping to',
    'account.addressesTitleCurrentBillingAddress' => 'Currently billing',
    'account.addressesContentItemActionEdit' => 'Edit',
    'account.addressesContentItemActionDelete' => 'Delete',
    'account.availableAddresses' => 'Available addresses',
    'account.selectAddress' => 'Select address',
    'account.addressCreateBtn' => 'Add address',
    'account.addressEditBtn' => 'Edit address',
    'account.addressCreateWelcome' => 'Create a new address',
    'account.addressEditWelcome' => 'Change address',
    'account.addressSaveChange' => 'Save address',
    'account.addressDeleted' => 'Address has been deleted.',
    'account.addressNotDeleted' => 'Address could not be deleted.',
    'account.addressDefaultChanged' => 'Default address has been changed.',
    'account.addressDefaultNotChanged' => 'Default address could not be changed.',
    'account.addressSaved' => 'Address has been saved.',
    'account.inactiveAccountAlert' => 'Your customer account has not been activated yet. We have sent a confirmation email containing an activation link. Please check your inbox and click the link to complete the registration!',
    'account.optInGuestAlert' => 'Thank you for your interest! You will receive a confirmation email shortly. Click on the link in it to confirm your email address.',
    'account.optInRegistrationAlert' => 'Thank you for signing up! You will receive a confirmation email shortly. Click on the link in it to complete the registration.',
    'account.optInSuccessAlert' => 'We just sent you a confirmation email.',
    'account.ordersWelcome' => 'Your recent orders:',
    'account.ordersInfoEmpty' => 'You have not ordered yet.',
    'account.orderHeadline' => 'Order:',
    'account.orderStatus' => 'Status:',
    'account.orderStatusActionRequired' => 'Action required',
    'account.orderStatusActionCompletePayment' => 'Complete payment',
    'account.orderShippingStatus' => 'Shipping status',
    'account.orderPaymentStatus' => 'Payment status',
    'account.orderPaymentMethod' => 'Payment method',
    'account.orderShippingMethod' => 'Shipping method',
    'account.orderItemColumnDate' => 'Date',
    'account.orderContextMenuChangePayment' => 'Change payment method',
    'account.orderContextMenuReorder' => 'Repeat order',
    'account.orderContextMenuCancel' => 'Cancel order',
    'account.completePayment' => 'Complete Payment',
    'account.editOrder' => 'Edit order',
    'account.editOrderUpdateButton' => 'Complete payment',
    'account.editOrderBackToAccountButton' => 'Back to overview',
    'account.editOrderBackToOrderButton' => 'Back to order',
    'account.editOrderCancelOrderButton' => 'Cancel order',
    'account.editOrderCancelOrderModalHeader' => 'Cancel order',
    'account.editOrderCancelOrderModalBodyText' => 'Beware, if you decide to ultimately cancel your order, the associated payment method and all applied promotions will be lost!',
    'account.editOrderCancelOrderModalBodyQuestion' => 'Are you sure you want to cancel your order after all?',
    'account.editOrderCancelOrderModalFooterButton' => 'Cancel order',
    'account.editOrderCancelOrderModalFooterButtonBack' => 'Back',
    'account.editOrderPaymentNotChangeable' => 'Unable to change the current payment method! There is a rebate or similar promotional benefit tied to the payment method that would be lost on change. Please cancel your order and reorder.',
    'account.orderNumber' => 'Order number:',
    'account.orderItemColumnNumber' => 'Order number:',
    'account.orderItemColumnPaymentMethod' => 'Payment method',
    'account.orderItemColumnShippingMethod' => 'Shipping method',
    'account.orderItemColumnActions' => 'Actions',
    'account.orderItemColumnName' => 'Product',
    'account.orderItemColumnQuantity' => 'Quantity',
    'account.orderItemColumnPrice' => 'Price per unit',
    'account.orderItemColumnTotal' => 'Subtotal',
    'account.orderItemDate' => 'From:',
    'account.orderItemNumber' => 'Order number:',
    'account.orderItemPaymentMethod' => 'Payment method:',
    'account.orderItemShippingMethod' => 'Shipping method:',
    'account.orderItemTracking' => 'Package tracking:',
    'account.orderItemShippingcosts' => 'Shipping costs:',
    'account.orderItemNetTotal' => 'Total (net):',
    'account.orderItemTotal' => 'Total (gross):',
    'account.orderItemComment' => 'Our comment',
    'account.orderItemCustomerComment' => 'Your comment',
    'account.orderItemInfoContent' => 'Content:',
    'account.orderItemInfoCurrentPrice' => 'Current item price',
    'account.orderItemInfoFree' => 'FREE',
    'account.orderItemInfoNotAvailable' => 'Product no longer available for a follow-up order',
    'account.orderActionView' => 'View',
    'account.orderActionHide' => 'Hide',
    'account.orderInfoNoDispatch' => 'No stated',
    'account.orderLinkRepeat' => 'Repeat order',
    'account.newsletterTitle' => 'Newsletter subscription',
    'account.newsletterSettings' => 'Yes, I would like to subscribe to the free %shopname% newsletter. (I may unsubscribe at any time.)',
    'account.passwordResetTitle' => 'Did you forget your password?',
    'account.passwordResetInfo' => 'If you have forgotten your password, you may enter a new one here. The moment you hit save, your old password will be invalidated.',
    'account.passwordOptInInfo' => 'Confirmation email sent. Click on the included link to change your password.',
    'account.colonCharacter' => ':',
    'address.streetLabel' => 'Street address',
    'address.streetPlaceholder' => 'Enter street address...',
    'address.additionalField1Label' => 'Additional address line 1',
    'address.additionalField1Placeholder' => 'Enter additional address line...',
    'address.additionalField2Label' => 'Additional address line 2',
    'address.additionalField2Placeholder' => 'Enter additional address line...',
    'address.zipcodeLabel' => 'Postal code',
    'address.zipcodePlaceholder' => 'Enter postal code...',
    'address.cityLabel' => 'City',
    'address.cityPlaceholder' => 'Enter city...',
    'address.countryLabel' => 'Country',
    'address.countryPlaceholder' => 'Select country...',
    'address.countryStateLabel' => 'State',
    'address.countryStatePlaceholder' => 'Select state...',
    'address.phoneNumberLabel' => 'Phone number',
    'address.phoneNumberPlaceholder' => 'Enter phone number...',
    'address.companyNameLabel' => 'Company',
    'address.companyNamePlaceholder' => 'Enter company...',
    'address.companyDepartmentLabel' => 'Department',
    'address.companyDepartmentPlaceholder' => 'Enter department...',
    'address.companyVatLabel' => 'VAT ID',
    'address.companyVatPlaceholder' => 'VAT ID',
    'checkout.itemCounter' => '{1} 1 item|]1,Inf[ %count% items',
    'checkout.addressHeader' => 'Shipping information',
    'checkout.addressLoginToggle' => 'You already have an account? Click here to login.',
    'checkout.addressRegisterCardTitle' => 'Your personal details',
    'checkout.registerGuestmodeLabel' => 'Do not create a customer account.',
    'checkout.cartTitle' => 'Shopping cart',
    'checkout.cartHeader' => 'Shopping cart',
    'checkout.cartUpdateSuccess' => 'Shopping cart updated',
    'checkout.continueShopping' => 'Continue shopping',
    'checkout.emptyCart' => 'Your shopping cart is empty',
    'checkout.proceedToCart' => 'Go to shopping cart',
    'checkout.proceedToCheckout' => 'Proceed to checkout',
    'checkout.quantityTimes' => 'x',
    'checkout.priceUnitName' => 'Content:',
    'checkout.removeLineItem' => 'Remove product',
    'checkout.subtotalAmount' => 'Subtotal',
    'checkout.summaryHeader' => 'Summary',
    'checkout.cartEmpty' => 'Your shopping cart is empty.',
    'checkout.cartHeaderInfo' => 'Product',
    'checkout.cartHeaderQuantity' => 'Quantity',
    'checkout.cartHeaderUnitPrice' => 'Item price',
    'checkout.cartHeaderTotalPrice' => 'Subtotal',
    'checkout.cartHeaderTaxIncludeVat' => 'incl. VAT',
    'checkout.cartHeaderTaxExcludeVat' => 'excl. VAT',
    'checkout.cartItemInfoId' => 'Product number:',
    'checkout.addPromotionLabel' => 'Enter gift code',
    'checkout.addPromotionPlaceholder' => 'Enter gift card number or discount code...',
    'checkout.addProductLabel' => 'Product number',
    'checkout.addProductPlaceholder' => 'Enter product number...',
    'checkout.summaryPositionPrice' => 'Total',
    'checkout.summaryShipping' => 'Shipping costs',
    'checkout.summaryTotalPrice' => 'Grand total',
    'checkout.summaryNetPrice' => 'Net total',
    'checkout.summaryTax' => 'plus %rate%% VAT',
    'checkout.proceedLink' => 'Proceed to checkout',
    'checkout.addressEqualText' => 'Same as billing address',
    'checkout.billingAddressHeader' => 'Billing address',
    'checkout.shippingAddressHeader' => 'Shipping address',
    'checkout.confirmHeader' => 'Complete order',
    'checkout.confirmPaymentMethod' => 'Payment method',
    'checkout.confirmPaymentMethodNotAvailable' => 'Payment method not available',
    'checkout.confirmChangePayment' => 'Change payment method',
    'checkout.confirmChoosePayment' => 'Choose payment method',
    'checkout.confirmShippingMethod' => 'Shipping method',
    'checkout.confirmShippingMethodNotAvailable' => 'Shipping method not available',
    'checkout.confirmChangeShipping' => 'Change shipping method',
    'checkout.confirmChooseShipping' => 'Choose shipping method',
    'checkout.confirmCurrentPaymentShipping' => 'Current selection:',
    'checkout.confirmSelectionNone' => 'None selected',
    'checkout.confirmChangePaymentShippingSave' => 'Save',
    'checkout.confirmChangePaymentShippingCancel' => 'Cancel',
    'checkout.confirmSubmit' => 'Submit order',
    'checkout.confirmTermsHeader' => 'Terms and conditions and cancellation policy',
    'checkout.confirmRevocationNotice' => 'Please note our cancellation policy.',
    'checkout.confirmTerms' => 'I have read and accepted the <a data-toggle="modal" data-url="%url%" href="%url%" title="general terms and conditions">general terms and conditions</a>.',
    'checkout.confirmTermsReminder' => 'You have already accepted the <a data-toggle="modal" data-url="%url%" href="%url%" title="general terms and conditions">general terms and conditions</a>.',
    'checkout.finishInfoPayment' => 'Payment method:',
    'checkout.finishInfoShipping' => 'Shipping method:',
    'checkout.finishHeader' => 'Thank you for your order with %shop%!',
    'checkout.finishUpdateHeader' => 'Thank you for updating your order!',
    'checkout.finishPaymentHeader' => 'Your order\'s payment method has been changed to %paymentName%!',
    'checkout.finishInfoHeader' => 'Information',
    'checkout.finishInfoOrdernumber' => 'Your order number: #',
    'checkout.finishInfoConfirmationMail' => 'Order confirmation email has been sent.',
    'checkout.finishButtonBackToShop' => 'Back to shop',
    'checkout.finishChangePayment' => 'Change payment method',
    'checkout.finishPaymentFailed' => 'Unfortunately, the payment process went wrong. Please change your payment method to finish your order. <a href="%editOrderUrl%">Change payment method</a>',
    'checkout.codeAddedSuccessful' => 'Gift code added successfully.',
    'checkout.addToCartSuccess' => '{1} 1 product has been added to the shopping cart.|]1,Inf[ %count% products have been added to the shopping cart.',
    'checkout.shippingCosts' => 'Shipping costs',
    'checkout.shippingCountry' => 'Shipping country',
    'checkout.paymentMethod' => 'Payment method',
    'checkout.shippingMethod' => 'Shipping method',
    'checkout.product-stock-reached' => 'The product "%name%" is only available %quantity% times',
    'checkout.product-out-of-stock' => 'The product "%name%" is not available any more',
    'checkout.purchase-steps-quantity' => 'The product "%name%" is not available in this quantity. The quantity was changed to %quantity%',
    'checkout.shipping-method-blocked' => 'The shipping method "%name%" is blocked for your current shopping cart.',
    'checkout.payment-method-blocked' => 'The payment method "%name%" is blocked for your current shopping cart.',
    'checkout.lineItemDeliveryDate' => 'Delivery period: %earliest% - %latest%',
    'checkout.promotion-discount-deleted' => 'Discount "%name%" has been removed',
    'checkout.promotion-discount-added' => 'Discount "%name%" has been added',
    'checkout.promotion-not-found' => 'Promotion with code "%code%" could not be found.',
    'checkout.auto-promotion-not-found' => 'Promotion "%name%" no longer valid!',
    'checkout.promotion-not-eligible' => 'Promotion code valid - however, not all conditions were met and the discount was not applied. Once all conditions are met, the discount will be applied automatically.',
    'checkout.shipping-address-blocked' => 'Shipping to the selected shipping address is currently not possible.',
    'checkout.billing-address-blocked' => 'Billing to the selected address is not possible.',
    'checkout.customerCommentHeader' => 'Additional information',
    'checkout.customerCommentLabel' => 'Would you like to tell us anything about your order?',
    'checkout.customerCommentPlaceholder' => 'Comment here...',
    'checkout.cart-merged-hint' => 'The current shopping cart might contain additional products that have been added and saved during a previous visit.',
    'listing.filterTitleText' => 'Filter',
    'listing.showResults' => 'Show results',
    'listing.boxUnitLabel' => 'Content:',
    'listing.boxLabelTopseller' => 'Tip',
    'listing.boxLabelNew' => 'New',
    'listing.listingTextSite' => 'Page',
    'listing.listingTextFrom' => 'from',
    'listing.boxAddProduct' => 'Add to shopping cart',
    'listing.boxProductDetails' => 'Details',
    'listing.emptyResultMessage' => 'No products found.',
    'listing.filterPanelResetAll' => 'Reset all',
    'listing.filterFreeShippingDisplayName' => 'Free shipping',
    'listing.filterPriceDisplayName' => 'Price',
    'listing.filterManufacturerDisplayName' => 'Manufacturer',
    'listing.filterRatingDisplayName' => 'Rating min.',
    'listing.filterRatingActiveLabelStart' => 'At least',
    'listing.filterRatingActiveLabelEndSingular' => 'star',
    'listing.filterRatingActiveLabelEnd' => 'stars',
    'listing.filterRangeMinLabel' => 'Minimum',
    'listing.filterRangeMaxLabel' => 'Maximum',
    'listing.filterRangeActiveMinLabel' => 'Price from',
    'listing.filterRangeActiveMaxLabel' => 'Price to',
    'listing.filterRangeErrorMessage' => 'The minimum price cannot be higher than the maximum price.',
    'listing.filterSubmitText' => 'Filter',
    'listing.defaultProductSortingLabel' => 'Name, ascending',
    'listing.disabledFilterTooltip' => 'This filter does not display any further results in combination with the selected filters.',
    'newsletter.headline' => 'Subscribe to newsletter',
    'newsletter.info' => 'Subscribe to our regular newsletter now and stay tuned on the latest products and special offers. You will be able to unsubscribe from it at any time, using this website or the link included in each newsletter.',
    'newsletter.subscribeOption' => 'Subscribe to newsletter',
    'newsletter.unsubscribeOption' => 'Unsubscribe from newsletter',
    'newsletter.formSubmit' => 'Save',
    'newsletter.subscriptionPersistedSuccess' => 'You have just subscribed to our newsletter.
 To complete the registration process, search your inbox for our confirmation email and click on the link provided with it.',
    'newsletter.subscriptionPersistedInfo' => 'If you did not received an email, please repeat the process or contact our support team.',
    'newsletter.subscriptionRevokeSuccess' => 'You have unsubscribed from the newsletter.',
    'newsletter.subscriptionConfirmationSuccess' => 'You have subscribed to the newsletter.',
    'newsletter.subscriptionConfirmationFailed' => 'Newsletter subscription did not work properly, please contact our support team.',
    'newsletter.subscriptionCompleted' => 'Thank you! We have registered your address.',
    'newsletter.labelActionSelect' => 'Action',
    'newsletter.labelMail' => 'Email address',
    'newsletter.labelFirstName' => 'First name',
    'newsletter.labelLastName' => 'Last name',
    'newsletter.placeholderMail' => 'john@doe.com',
    'newsletter.placeholderFirstName' => 'John',
    'newsletter.placeholderLastName' => 'Doe',
    'contact.headline' => 'Contact',
    'contact.info' => 'We look forward to hearing from you.',
    'contact.subjectLabel' => 'Subject',
    'contact.subjectPlaceholder' => 'Enter subject...',
    'contact.commentLabel' => 'Comment',
    'contact.commentPlaceholder' => 'Enter comment...',
    'contact.formSubmit' => 'Submit',
    'contact.success' => 'We have received your contact request and will process it as soon as possible.',
    'search.headline' => '{0} 0 products found for "%searchTerm%" | {1} One product found for "%searchTerm%" | ]1,Inf[ %count% products found for "%searchTerm%"',
    'detail.ordernumberLabel' => 'Product number:',
    'detail.productNumberLabel' => 'Product number:',
    'detail.addProduct' => 'Add to shopping cart',
    'detail.tabsDescription' => 'Description',
    'detail.tabsPreviewMore' => 'More',
    'detail.descriptionTitle' => 'Product information',
    'detail.priceUnitName' => 'Content:',
    'detail.priceDataInfoUntil' => 'To',
    'detail.priceDataInfoFrom' => 'From',
    'detail.listPricePercentage' => '(%price%% saved)',
    'detail.dataColumnQuantity' => 'Quantity',
    'detail.dataColumnPrice' => 'Item price',
    'detail.dataColumnReferencePrice' => 'Unit price',
    'detail.deliveryTimeAvailable' => 'Available, delivery time %name%',
    'detail.deliveryTimeRestock' => '{1} Available in 1 day, delivery time %name%|]1,Inf[ Available in %restockTime% days, delivery time %name%',
    'detail.soldOut' => 'No longer available',
    'detail.tabsReview' => 'Reviews',
    'detail.reviewTitle' => '%count% of %total% reviews',
    'detail.reviewVerifiedItemTooltip' => 'Verified buyer',
    'detail.reviewCommentLabel' => 'Our feedback: ',
    'detail.reviewLinkText' => '{1} Review|]1,Inf[ Reviews',
    'detail.reviewFormRatingLabel' => 'Your rating',
    'detail.reviewFormTitleLabel' => 'Title',
    'detail.reviewFormTitlePlaceholder' => 'Enter a title...',
    'detail.review1PointRatingText' => 'Unsatisfactory',
    'detail.review2PointRatingText' => 'Acceptable',
    'detail.review3PointRatingText' => 'Good',
    'detail.review4PointRatingText' => 'Very good',
    'detail.review5PointRatingText' => 'Excellent',
    'detail.reviewFormContentLabel' => 'Your review',
    'detail.reviewFormSubmitText' => 'Submit',
    'detail.reviewFormCancelText' => 'Cancel',
    'detail.reviewFormErrorAlert' => 'An error occured. Please make sure you filled in all fields correctly.',
    'detail.reviewFormSuccessAlert' => 'Thank you for submitting your review. We will examine the review and eventually unlock it. In the meantime, please be patient.',
    'detail.reviewFormSuccessUpdateAlert' => 'Thank you for editing your review. Changes will be visible as soon as we have unlocked them.',
    'detail.reviewTeaserTitle' => 'Leave a review!',
    'detail.reviewTeaserText' => 'Share your experiences with other customers.',
    'detail.reviewTeaserButton' => 'Write a review!',
    'detail.reviewTeaserButtonHide' => 'Show reviews',
    'detail.reviewExistsTeaserTitle' => 'Edit your review!',
    'detail.reviewExistsTeaserText' => 'You have already reviewed this product. Would you like to edit your review?',
    'detail.reviewExistsTeaserButton' => 'Edit review',
    'detail.reviewLanguageFilterLabel' => 'Display reviews in current language only.',
    'detail.reviewSortLabel' => 'Sort by',
    'detail.reviewSortTopRatedLabel' => 'Top rated',
    'detail.reviewSortNewLabel' => 'Most recent',
    'detail.reviewCountAfter' => '{1} review|]1,Inf[ reviews',
    'detail.reviewCountBefore' => 'of',
    'detail.reviewListEmpty' => 'No reviews found. Be the first to share your insights.',
    'detail.reviewLoginHeader' => 'Login',
    'detail.reviewLoginDescription' => 'Reviews can only be submitted while being logged in. Please enter your login details below.',
    'detail.reviewRegisterLink' => 'New customer?',
    'detail.reviewLoginSignupLink' => 'Click here to sign up.',
    'detail.reviewLoginCancelButton' => 'Cancel',
    'detail.reviewAvgRate' => 'out of',
    'detail.reviewAvgRateElements' => 'stars',
    'footer.serviceHotlineHeadline' => 'Service hotline',
    'footer.shopServiceHeadline' => 'Shop service',
    'footer.informationHeadline' => 'Information',
    'footer.newsletterHeadline' => 'Newsletter',
    'footer.serviceHotline' => 'Support and counselling via: <a href="tel:+49180000000">0180 - 000000</a> Mon-Fri, 9 am - 5 pm',
    'footer.serviceContactLink' => 'Or via our <a data-toggle="modal" data-url="%url%" href="%url%" title="contact form">contact form</a>.',
    'footer.newsletterInput' => 'Your email address',
    'footer.newsletter' => 'Subscribe to our regular newsletter now to stay tuned on the latest products and special offers.',
    'footer.includeVat' => '* All prices incl. VAT plus <a data-toggle="modal" href="%url%" data-url="%url%">shipping costs</a> and possible delivery charges, if not stated otherwise.',
    'footer.excludeVat' => '* All prices excl. VAT plus <a data-toggle="modal" href="%url%" data-url="%url%">shipping costs</a> and possible delivery charges, if not stated otherwise.',
    'footer.copyrightInfo' => 'Realised with Shopware',
    'cookie.message' => 'This website uses cookies to ensure the best experience possible. <a data-toggle="modal" data-url="%url%" href="%url%" title="More information">More information...</a>',
    'cookie.deny' => 'Deny',
    'cookie.configure' => 'Configure',
    'cookie.configuration' => 'Settings',
    'cookie.save' => 'Save',
    'cookie.acceptAll' => 'Accept all cookies',
    'cookie.headline' => 'Cookie preferences',
    'cookie.groupRequired' => 'Technically required',
    'cookie.groupRequiredDescription' => 'Cookies required for this shop to function:',
    'cookie.groupRequiredSession' => 'Session',
    'cookie.groupRequiredTimezone' => 'Timezone',
    'cookie.groupStatistical' => 'Statistics',
    'cookie.groupStatisticalDescription' => 'Cookies used for statistics and shop performance metrics.',
    'cookie.groupStatisticalGoogleAnalytics' => 'Google Analytics',
    'ellipsis.expandLabel' => 'show more',
    'ellipsis.shrinkLabel' => 'show less',
    'component.product.feature.label.manufacturerNumber' => 'Supplier number:',
    'component.product.feature.label.ean' => 'EAN:',
    'component.product.feature.label.weight' => 'Weight:',
    'component.product.feature.label.width' => 'Width:',
    'component.product.feature.label.height' => 'Height:',
    'component.product.feature.label.length' => 'Length:',
    'component.product.feature.label.releaseDate' => 'Release date:',
    'component.product.feature.label.description' => 'Description:',
    'component.product.feature.label.referencePrice' => 'Content:',
    'component.product.feature.customField.true' => 'Yes',
    'component.product.feature.customField.false' => 'No',
    'component.cms.vimeo.privacyNotice' => 'By viewing the video you agree that your data will be transferred to %platform% and that you have read the <a data-toggle="modal" data-url="%url%" href="%url%" title="Privacy policy">Privacy policy</a>.',
    'component.cms.vimeo.acceptButtonLabel' => 'Accept',
  ),
));

$catalogueEn = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEn);
$catalogueEn_GB = new MessageCatalogue('en_GB', array (
));
$catalogueEn->addFallbackCatalogue($catalogueEn_GB);

return $catalogue;
